TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.FederatedTopic Class Reference

The FederatedTopic class represents the topic entry in the naming server. A FederatedTopic object is the query result of a topic name lookup, the return value of the `NameSearcher.Lookup` method. More...

Inheritance diagram for TIBCO.EMS.FederatedTopic:

## Properties
string | Name`[get]`
| Gets the name property of the object. The name string uniquely identfies the topic and can be used as the entry name of a DirectoryEntry in ASDI. More...
Properties inherited from TIBCO.EMS.Topic
string | TopicName`[get]`
| Gets the name of the topic More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.Topic
| Topic (String name)
| Constructs a new Topic object with the given name. More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Topic` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Detailed Description

The FederatedTopic class represents the topic entry in the naming server. A FederatedTopic object is the query result of a topic name lookup, the return value of the `NameSearcher.Lookup` method.

A FederatedTopic object has a `Name` property that uniquely identifies the topic entry in the name server. If we want to store the reference of query result into a 3rd-party directory server, this property can be used as the entry name of a System.DirectoryServices.DirectoryEntry in ASDI.

## Property Documentation

string TIBCO.EMS.FederatedTopic.Name
| get

Gets the name property of the object. The name string uniquely identfies the topic and can be used as the entry name of a DirectoryEntry in ASDI.